Skip to Content
CompanySpec
API referenceReference data

List filter values

GET
/values/{field}

Valid values for a filter, with the number of companies that have each value (across all companies). Use these values in /companies/search, /companies/count, /companies/similar, /pages/search and /job-postings/search. Free.

Authorization

bearerAuth
headerAuthorizationBearer <token>

Your API key, sent as Authorization: Bearer <key>. Create keys in the dashboard.

Path Parameters

field*string

A filter name.

Value in"industries""naics_codes""sic_codes""countries""states""cities""regions""type""employees""revenue""customer_types""customer_segments""compliance""page_types""require""hire_departments""hire_seniorities""workforce_departments""job_functions""job_seniorities""workplace_types""employment_types""funding_rounds""news_categories""technology_categories"

Query Parameters

q?string

Only return values that contain this text.

Lengthlength <= 100
limit?integer
Range1 <= value <= 100
Default25
cursor?string

The next_cursor from the previous page. Valid for 24 hours. Fetching later pages charges for new companies on them.

Response Body

Values for the field.

application/json
  1. response
field*ValueField

A filter name.

Value in"industries""naics_codes""sic_codes""countries""states""cities""regions""type""employees""revenue""customer_types""customer_segments""compliance""page_types""require""hire_departments""hire_seniorities""workforce_departments""job_functions""job_seniorities""workplace_types""employment_types""funding_rounds""news_categories""technology_categories"
values*array<>
next_cursor*|

Pass as cursor to get the next page. null when there are no more results.

Example Request
curl -X GET 'https://api.companyspec.com/v1/values/industries?q=dent'
Example Response
{  "field": "industries",  "values": [    {      "value": "Dentists",      "label": "Dentists",      "companies": 141203    },    {      "value": "Dental Equipment Manufacturing",      "label": "Dental Equipment Manufacturing",      "companies": 3112    }  ],  "next_cursor": null}